| Visioscan Set SDK Libraries 1.3.5 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
ParameterNotSupportedException Class Reference

An exception used when not supported values are fetched to the sensor. More...

`#include <ParameterNotSupportedException.h>`

Inheritance diagram for ParameterNotSupportedException:

## Public Member Functions
| ParameterNotSupportedException (const char *message, const char *translateCode)
| Copy constructor.
| ParameterNotSupportedException (const string &message, string translateCode)
| Copy constructor.
virtual | ~ParameterNotSupportedException () noexcept
| Destructor.
virtual const char * | what () const noexcept
| Overload of message retrie.

## Protected Attributes
string | _msg
string | _code = ""

## Detailed Description

An exception used when not supported values are fetched to the sensor.

## Constructor & Destructor Documentation

## ◆ ParameterNotSupportedException() [1/2]

ParameterNotSupportedException::ParameterNotSupportedException | ( | const char * | message,
|  | const char * | translateCode )
| inline explicit

Copy constructor.

Parameters

  message | A message pointer to a char

## ◆ ParameterNotSupportedException() [2/2]

ParameterNotSupportedException::ParameterNotSupportedException | ( | const string & | message,
|  | string | translateCode )
| inline explicit

Copy constructor.

Parameters

  message | A message string

## ◆ ~ParameterNotSupportedException()

virtual ParameterNotSupportedException::~ParameterNotSupportedException | ( |  | ) |
| inline virtual noexcept

Destructor.

Returns

## Member Function Documentation

## ◆ what()

virtual const char * ParameterNotSupportedException::what | ( |  | ) | const
| inline virtual noexcept

Overload of message retrie.

Returns
  A pointer to a char representing the message

## Member Data Documentation

## ◆ _code

string ParameterNotSupportedException::_code = ""
| protected

## ◆ _msg

string ParameterNotSupportedException::_msg
| protected

The documentation for this class was generated from the following file:

- ParameterNotSupportedException.h